IPTABLES-APPLY(8)

BEZEICHNUNG
iptables-apply – Eine sichere Art, Iptables aus der Ferne zu aktualisieren

ÜBERSICHT
iptables-apply [-hV] [-t Zeitüberschreitung] [-w Sicherungsdatei] {[Regeldatei]|-c [ausfbefehl]}

BESCHREIBUNG

iptables-apply wird versuchen, eine neue Regeldatei (wie von iptables-save(8) ausgegeben und von iptables-restore(8) gelesen) anzuwenden oder einen Befehl auszuführen, um iptables(8) zu konfigurieren und den Benutzer fragen, ob die Änderungen in Ordnung sind. Falls die neue Iptables-Regeln die bestehende Verbindung unterbrechen, kann der Benutzer nicht zustimmen. In diesem Fall setzt das Skript auf die vorhergehenden funktionierenden Iptables-Regeln zurück, nachdem die Zeitüberschreitung abgelaufen ist.

Erfolgreich angewandte Regeln können auch in Sicherungsdatei geschrieben und später zum Zurücksetzen auf diesen Zustand verwandt werden. Dies kann zur Erstellung eines Speichers bekannter guter Konfigurationsmechanismen verwandt werden, wenn mit einem Iptables-Einrichtungsskript experiementiert wird: »iptables-apply -w /etc/network/iptables.up.rules -c /etc/network/iptables.up.run«

Beim Aufruf als ip6tables-apply wird das Skript stattdessen ip6tables-save(8)/ip6tables-restore(8) und die IPv6-Vorgabewerte verwenden. Der Vorgabewert für die Regeldatei ist /etc/network/iptables.up.rules.

OPTIONEN

-t Sekunden, --timeout Sekunden
    Setzt die Zeitüberschreitung in Sekunden, nach der das Skript zu dem vorherigen Regelsatz zurückkehren wird (Vorgabe: 10).

-w Sicherungsdatei, --write Sicherungsdatei
    Gibt die Sicherungsdatei an, in die erfolgreich angewandte Regeln geschrieben werden (falls die leere Zeichenkette angegeben ist, ist die Vorgabe /etc/network/iptables.up.rules).

-c ausfbefehl, --command ausfbefehl
    Führt den Befehl »ausfbefehl« aus, um Iptables zu konfigurieren, anstatt eine Regeldatei anzuwenden (Vorgabe: /etc/network/iptables.up.run).

-h, --help
    Anzeige von Verwendungsinformationen.

-V, --version
    Versionsinformationen anzeigen

SIEHE AUCH

iptables-restore(8), iptables-save(8), iptables(8).

RECHTLICHES

Ursprüngliches iptables-apply - Copyright 2006 Martin F. Krafft <madduck@madduck.net>. Version 1.1 - Copyright 2010 GW <gw.2010@tnode.com oder http://gw.tnode.com/>.

Diese Handbuchseite wurde von Martin F. Krafft <madduck@madduck.net> geschrieben und von GW <gw.2010@tnode.com oder http://gw.tnode.com/> erweitert.

Unter den Regeln der »Artistic License 2.0« wird die Erlaubnis erteilt, dieses Dokument zu kopieren, zu verteilen und/oder zu verändern.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).